Package be.fgov.ehealth.rn.baselegaldata.v1

# Class AbstractOptionalDeceaseType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalDeceaseType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DeceaseInfoBaseType`, `DeceaseInfoWithStatusAndSourceType`, `DeceaseInfoWithUpdateStatusType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public abstract class AbstractOptionalDeceaseType extends Object implements Serializable

Java class for AbstractOptionalDeceaseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AbstractOptionalDeceaseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <group ref="{urn:be:fgov:ehealth:rn:baselegaldata:v1}DeceaseGroup" minOccurs="0"/>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractOptionalDeceaseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDeceaseDate()`
  Gets the value of the deceaseDate property.
  `LocationType`
  `getDeceasePlace()`
  Gets the value of the deceasePlace property.
  `void`
  `setDeceaseDate(String value)`
  Sets the value of the deceaseDate property.
  `void`
  `setDeceasePlace(LocationType value)`
  Sets the value of the deceasePlace property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractOptionalDeceaseType

    public AbstractOptionalDeceaseType()

- ## Method Details

  - ### getDeceaseDate

    public String getDeceaseDate()
    Gets the value of the deceaseDate property.
    Returns:
      possible object is `String`

  - ### setDeceaseDate

    public void setDeceaseDate(String value)
    Sets the value of the deceaseDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDeceasePlace

    public LocationType getDeceasePlace()
    Gets the value of the deceasePlace property.
    Returns:
      possible object is `LocationType`

  - ### setDeceasePlace

    public void setDeceasePlace(LocationType value)
    Sets the value of the deceasePlace property.
    Parameters:
      `value` - allowed object is `LocationType`